Loading...
Searching...
No Matches
schwarz.hh File Reference
`#include <iostream>`
`#include <fstream>`
`#include <vector>`
`#include <sstream>`
`#include <cmath>`
`#include <dune/common/timer.hh>`
`#include "io.hh"`
`#include "bvector.hh"`
`#include "vbvector.hh"`
`#include "bcrsmatrix.hh"`
`#include "gsetc.hh"`
`#include "ilu.hh"`
`#include "operators.hh"`
`#include "solvers.hh"`
`#include "preconditioners.hh"`
`#include "scalarproducts.hh"`
`#include "owneroverlapcopy.hh"`

Go to the source code of this file.

## Classes

class | Dune::OverlappingSchwarzOperator< M, X, Y, C >
| An overlapping Schwarz operator. More...
class | Dune::ParSSOR< M, X, Y, C >
| A parallel SSOR preconditioner. More...
class | Dune::BlockPreconditioner< X, Y, C, P >
| Block parallel preconditioner. More...

## Namespaces

namespace | Dune
namespace | Dune::Amg